Skip to main content
GET
/
api
/
modelServing
/
v1
/
modelApis
/
{modelApiId}
/
versions
/
{modelApiVersionId}
/
buildLogs
cURL
curl --request GET \
  --url https://api.example.com/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "logs": [
    {
      "log": "<string>",
      "streamType": "<string>",
      "tags": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "timeNano": 123,
      "timestamp": 123
    }
  ],
  "modelId": "<string>",
  "modelVersionId": "<string>",
  "status": "<string>",
  "buildId": "<string>",
  "sinceTimeNano": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelApiId
string
required

The id of the Model API to retrieve the build logs for.

modelApiVersionId
string
required

The id of the Model API Version to retrieve the build logs for.

Query Parameters

buildId
string

build Id of the model API to return build logs for.

sinceTimeNano
string

The epoch time in nanoseconds to start fetching from, such as "1543538813745986325". "0" by default and will typically be used for a timestamp-based offset log fetching strategy.

Response

200 - application/json

The build logs for the given Model API Version.

logs
object[]
required

The build logs.

modelId
string
required

The id of the Model API

modelVersionId
string
required

The id of the Model API Version

status
string
required

The status of the build.

buildId
string

The id of the build of the Model API Version

sinceTimeNano
string

The start date of the logs.